package com.gic.store.dao.mapper;

import com.gic.store.entity.TabGicStoreExtend;

public interface StoreExtendMapper {
    /**
     * 根据主键删除
     *
     * @param storeExtendId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer storeExtendId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabGicStoreExtend record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabGicStoreExtend record);

    /**
     * 根据主键查询
     *
     * @param storeExtendId 主键
     * @return 实体对象
     */
    TabGicStoreExtend selectByPrimaryKey(Integer storeExtendId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabGicStoreExtend record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabGicStoreExtend record);
}