package com.gic.store.dao.mapper;

import com.gic.store.entity.TabGicStoreField;

public interface StoreFieldMapper {
    /**
     * 根据主键删除
     *
     * @param storeFieldId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer storeFieldId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabGicStoreField record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabGicStoreField record);

    /**
     * 根据主键查询
     *
     * @param storeFieldId 主键
     * @return 实体对象
     */
    TabGicStoreField selectByPrimaryKey(Integer storeFieldId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabGicStoreField record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabGicStoreField record);
}