package com.gic.store.dao.mapper;

import com.gic.store.entity.TabGicStorePhoto;

public interface StorePhotoMapper {
    /**
     * 根据主键删除
     *
     * @param storePhotoId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer storePhotoId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabGicStorePhoto record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabGicStorePhoto record);

    /**
     * 根据主键查询
     *
     * @param storePhotoId 主键
     * @return 实体对象
     */
    TabGicStorePhoto selectByPrimaryKey(Integer storePhotoId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabGicStorePhoto record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabGicStorePhoto record);
}