package com.gic.store.dao.mapper;

import com.gic.store.entity.TabGicStoreRegion;

public interface StoreRegionMapper {
    /**
     * 根据主键删除
     *
     * @param regionId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer regionId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabGicStoreRegion record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabGicStoreRegion record);

    /**
     * 根据主键查询
     *
     * @param regionId 主键
     * @return 实体对象
     */
    TabGicStoreRegion selectByPrimaryKey(Integer regionId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabGicStoreRegion record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabGicStoreRegion record);
}